Bug 1980201 - Review Request: rust-platform-info - Simple cross-platform interface to get info about a system
Summary: Review Request: rust-platform-info - Simple cross-platform interface to get i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1980198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-08 05:10 UTC by Davide Cavalca
Modified: 2022-08-23 01:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-13 22:48:16 UTC
Type: ---
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-08 05:10:38 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-platform-info/rust-platform-info.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-platform-info/rust-platform-info-0.1.0-1.fc35.src.rpm

Description:
Simple cross-platform interface to get info about a system.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-08 05:10:40 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=71503821

Comment 2 Michel Alexandre Salim 2022-01-12 22:47:42 UTC
Please ping upstream about the following issues:
- the GitHub tags are wrong, they tag 0.1.0 as 0.0.1 and 0.2.0 as 0.0.2

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- X latest version of the crate is packaged -- consider importing 0.2.0
- license matches upstream specification (MIT) and is acceptable for Fedora
- license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add package to rust-sig with "commit" access

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 3 Davide Cavalca 2022-01-17 05:41:09 UTC
Thanks!

$ fedpkg request-repo rust-platform-info 1980201
https://pagure.io/releng/fedora-scm-requests/issue/41033

Comment 4 Gwyn Ciesla 2022-01-18 15:20:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-platform-info

Comment 5 Fedora Update System 2022-08-13 22:47:24 UTC
FEDORA-2022-05c422f193 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-05c422f193

Comment 6 Fedora Update System 2022-08-13 22:48:16 UTC
FEDORA-2022-05c422f193 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-08-13 22:48:41 UTC
FEDORA-2022-fcbfabba04 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fcbfabba04

Comment 8 Fedora Update System 2022-08-13 22:51:17 UTC
FEDORA-2022-fcbfabba04 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-08-14 14:38:04 UTC
FEDORA-2022-07e4d06af8 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-07e4d06af8

Comment 10 Fedora Update System 2022-08-14 21:19:48 UTC
FEDORA-2022-7c01e2613a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7c01e2613a

Comment 11 Fedora Update System 2022-08-15 02:04:11 UTC
FEDORA-2022-07e4d06af8 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-07e4d06af8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-07e4d06af8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-08-15 02:17:52 UTC
FEDORA-2022-7c01e2613a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7c01e2613a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7c01e2613a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-08-23 01:41:52 UTC
FEDORA-2022-7c01e2613a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-08-23 01:55:28 UTC
FEDORA-2022-07e4d06af8 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.